#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint adfurikun.podspec` to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'adfurikun'
  s.version          = '1.8.0'
  s.summary          = 'Adfurikun plugin for Flutter apps.'
  s.description      = <<-DESC
Adfurikun plugin for Flutter apps. Supports Reward, Interstitial, NativeAd, AppOpenAd, Rectangle, Banner ads.
                       DESC
  s.homepage         = 'https://adfurikun.jp'
  s.license          = { :file => '../LICENSE' }
  s.author           = 'Glossom, Inc.'
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.dependency 'Flutter'
  s.platform = :ios, '11.0'
  s.static_framework = true

  s.dependency 'AdfurikunSDK-iOS/Core'

  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }
  s.swift_version = '5.0'
end
