package jp.co.glossom.adfurikun

internal object Constants {

    const val MAIN_METHOD_CHANNEL = "flutter_plugin_adfurikun"
    const val NATIVE_AD_VIEW_TYPE_ID = "jp.co.glossom.adfurikunflutter/nativead"
    const val RECTANGLE_VIEW_TYPE_ID = "jp.co.glossom.adfurikunflutter/rectangle"
    const val BANNER_VIEW_TYPE_ID = "jp.co.glossom.adfurikunflutter/banner"

    const val INIT_APP_OPEN_AD = "init#appopenad"
    const val LOAD_APP_OPEN_AD = "load#appopenad"
    const val PLAY_APP_OPEN_AD = "play#appopenad"
    const val IS_PREPARED_APP_OPEN_AD = "isPrepared#appopenad"
    const val DESTROY_APP_OPEN_AD = "destroy#appopenad"

    const val INIT_REWARD = "init#reward"
    const val LOAD_REWARD = "load#reward"
    const val PLAY_REWARD = "play#reward"
    const val IS_PREPARED_REWARD = "isPrepared#reward"
    const val DESTROY_REWARD = "destroy#reward"

    const val INIT_INTERSTITIAL = "init#interstitial"
    const val LOAD_INTERSTITIAL = "load#interstitial"
    const val PLAY_INTERSTITIAL = "play#interstitial"
    const val IS_PREPARED_INTERSTITIAL = "isPrepared#interstitial"
    const val DESTROY_INTERSTITIAL = "destroy#interstitial"

    const val INIT_NATIVE_AD = "init#nativead"
    const val LOAD_NATIVE_AD = "load#nativead"
    const val PLAY_NATIVE_AD = "play#nativead"
    const val DESTROY_NATIVE_AD = "destroy#nativead"

    const val INIT_RECTANGLE = "init#rectangle"
    const val LOAD_RECTANGLE = "load#rectangle"
    const val PLAY_RECTANGLE = "play#rectangle"
    const val DESTROY_RECTANGLE = "destroy#rectangle"

    const val INIT_BANNER = "init#banner"
    const val LOAD_BANNER = "load#banner"
    const val PLAY_BANNER = "play#banner"
    const val DESTROY_BANNER = "destroy#banner"

    const val ON_PREPARE_SUCCESS = "onPrepareSuccess"
    const val ON_PREPARE_FAILURE = "onPrepareFailure"
    const val ON_START_PLAYING = "onStartPlaying"
    const val ON_FINISHED_PLAYING = "onFinishedPlaying"
    const val ON_AD_CLOSE = "onAdClose"
    const val ON_FAILED_PLAYING = "onFailedPlaying"

    const val ON_NATIVE_AD_LOAD_FINISH = "onNativeAdLoadFinish"
    const val ON_NATIVE_AD_LOAD_ERROR = "onNativeAdLoadError"
    const val ON_NATIVE_AD_VIEW_PLAY_START = "onNativeAdViewPlayStart"
    const val ON_NATIVE_AD_VIEW_PLAY_FINISH = "onNativeAdViewPlayFinish"
    const val ON_NATIVE_AD_VIEW_PLAY_FAIL = "onNativeAdViewPlayFail"
    const val ON_NATIVE_AD_VIEW_CLICKED = "onNativeAdViewClicked"

    const val ON_RECTANGLE_LOAD_FINISH = "onRectangleLoadFinish"
    const val ON_RECTANGLE_LOAD_ERROR = "onRectangleLoadError"
    const val ON_RECTANGLE_VIEW_PLAY_START = "onRectangleViewPlayStart"
    const val ON_RECTANGLE_VIEW_PLAY_FINISH = "onRectangleViewPlayFinish"
    const val ON_RECTANGLE_VIEW_PLAY_FAIL = "onRectangleViewPlayFail"
    const val ON_RECTANGLE_VIEW_CLICKED = "onRectangleViewClicked"

    const val ON_BANNER_LOAD_FINISH = "onBannerLoadFinish"
    const val ON_BANNER_LOAD_ERROR = "onBannerLoadError"
    const val ON_BANNER_VIEW_PLAY_START = "onBannerViewPlayStart"
    const val ON_BANNER_VIEW_PLAY_FINISH = "onBannerViewPlayFinish"
    const val ON_BANNER_VIEW_PLAY_FAIL = "onBannerViewPlayFail"
    const val ON_BANNER_VIEW_CLICKED = "onBannerViewClicked"

    const val SET_SOUND_STATE = "setSoundState"
    const val SET_TEST_MODE = "setTestMode"
    const val SET_USER_CONSENT = "setUserConsent"
    const val SET_CHILD_DIRECTED = "setChildDirected"
    const val SET_GOOGLE_FAMILIES_POLICY = "setGoogleFamiliesPolicy"
    const val SET_REGION = "setRegion"
    const val FORCE_SEND_EVENT = "forceSendEvent"
    const val SET_AD_NETWORK_INFORMATION = "setAdNetworkInformation"

    const val KEY_NUMBER = "number"
    const val KEY_ID = "app_id"
    const val KEY_AD_NETWORK_KEY = "ad_network_key"
    const val KEY_ERROR_CODE = "error_code"
    const val KEY_ERROR_MESSAGE = "error_message"
    const val KEY_WIDTH = "width"
    const val KEY_HEIGHT = "height"
    const val KEY_TITLE = "title"
    const val KEY_DESCRIPTION = "description"
    const val KEY_INT = "int"
    const val KEY_BOOL = "bool"
    const val KEY_STRING = "string"
    const val KEY_PLUGIN_VERSION = "plugin_version"
    const val KEY_CUSTOM_PARAMS = "custom_params"
    const val KEY_TIMEOUT = "timeout"
    const val KEY_AD_NETWORK_INFORMATION = "ad_network_information"
    const val KEY_AD_NETWORK_ERROR_LIST = "ad_network_error_list"
    const val KEY_APP_LOGO_ICON_NAME = "app_logo_icon_name"
}